using FellowOakDicom;
using FellowOakDicom.Imaging;
using Microsoft.Extensions.DependencyInjection;

namespace IRaCIS.Core.API
{
    public static class DicomSetup
    {
        public static void AddDicomSetup(this IServiceCollection services)
        {
            new DicomSetupBuilder()
            .RegisterServices(s => s.AddFellowOakDicom()
           .AddTranscoderManager<FellowOakDicom.Imaging.NativeCodec.NativeTranscoderManager>()
             .AddImageManager<ImageSharpImageManager>()
            )
            .SkipValidation()
            .Build();
        }
    }
}
